
#ifndef _Bmp_
#define _Bmp_

//#include "global.h"

#ifdef __cplusplus
extern "C" {
#endif

HBITMAP      ReadBmpFile(LPSTR);
HBITMAP      DIBToBitmap(HANDLE hDIB);
WORD         DIBNumColors(LPSTR pv);
HANDLE       ReadDibBitmapInfo (int fh);
BOOL         DibInfo(HANDLE hbi, LPBITMAPINFOHEADER lpbi);
HANDLE       ReadDIB (LPSTR szFile);
DWORD PASCAL mylread(int fh, VOID FAR *pv, DWORD ul);
WORD         PaletteSize(LPSTR lpbi);

/* flags for _lseek */
#define  SEEK_CUR 1
#define  SEEK_END 2
#define  SEEK_SET 0

/* macro to determine if resource is a DIB */
#define ISDIB(bft) ((bft) == BFT_BITMAP)

#define MAXREAD 32767


// Header signatutes for various resources
#define BFT_ICON   0x4349   /* 'IC' */
#define BFT_BITMAP 0x4d42   /* 'BM' */
#define BFT_CURSOR 0x5450   /* 'PT' */

// This WIDTHBYTES macro determines the number of BYTES per scan line.
#define  WIDTHBYTES(i)   ((i+31)/32*4)
#define IS_WIN30_DIB(lpbi)  ((*(LPDWORD)(lpbi)) == sizeof(BITMAPINFOHEADER))




#ifdef __cplusplus
}
#endif


#endif  // _Bmp_


