// bmpvw.h : interface of the CBmpView class
//
/////////////////////////////////////////////////////////////////////////////

class CBmpView : public CView
{
    protected: // create from serialization only
        CBmpView();
        DECLARE_DYNCREATE(CBmpView)

    public:
        CBmpDoc* GetDocument(void);

        virtual ~CBmpView(void);
        virtual void OnDraw(CDC* pDC);  // overridden to draw this view
        #ifdef _DEBUG
        virtual void AssertValid() const;
        virtual void Dump(CDumpContext& dc) const;
        #endif
        
        virtual void OnInitialUpdate(void);
        
    protected:

        //{{AFX_MSG(CBmpView)
    afx_msg void OnBmpLoad();
    afx_msg void OnBmpStore();
    //}}AFX_MSG
        DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in bmpvw.cpp
inline CBmpDoc* CBmpView::GetDocument()
   { return (CBmpDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
