#ifndef win95api_h
#define win95api_h


#if WINVER<0x0400

#ifdef __cplusplus
extern "C" {
#endif

typedef struct tagSCROLLINFO {
    DWORD cbSize;
    DWORD fMask;
    long  nMin;
    long  nMax;
    DWORD nPage;
    long  nPos;
    long  nTrackPos;
} SCROLLINFO, FAR *LPSCROLLINFO;

typedef const SCROLLINFO FAR * LPCSCROLLINFO;


#define SIF_RANGE           0x0001
#define SIF_PAGE            0x0002
#define SIF_POS             0x0004
#define SIF_DISABLENOSCROLL 0x0008
#define SIF_TRACKPOS        0x0010
#define SIF_ALL             (SIF_RANGE|SIF_PAGE|SIF_POS|SIF_TRACKPOS)

BOOL WINAPI SetScrollInfo(HWND,int,LPCSCROLLINFO,BOOL);
BOOL WINAPI GetScrollInfo(HWND,int,LPSCROLLINFO);
BOOL WINAPI SetMenuDefaultItem( HMENU hmenu, UINT id,
                                UINT fByPos );
UINT WINAPI GetMenuDefaultItem( HMENU hMenu, UINT fByPos,
                                UINT fFlags );
#define GMDI_GOINTOPOPUPS
#define GMDI_USEDISABLED

BOOL WINAPI CheckMenuRadioItem( HMENU hmenu, UINT idFirst,
                UINT idLast, UINT idCheck, UINT fByPos );
#define DS_3DLOOK          0x0004L      // new dialog style
#define OFN_LONGNAMES      0x00200000L  // for OPENFILENAME.Flags

#ifdef __cplusplus
}
#endif

#endif
#endif
